Skip to main content
`Ctrl`+`K`

# RegularEvents

class astropy.stats.RegularEvents(dt, p0=0.05, gamma=None, ncp_prior=None)

  Bases: `FitnessFunc`

  Bayesian blocks fitness for regular events.

  This is for data which has a fundamental “tick” length, so that all measured values are multiples of this tick length. In each tick, there are either zero or one counts.

  Parameters:
    dt `python:float`

      tick rate for data

    p0 `python:float`, optional

      False alarm probability, used to compute the prior on \(N_{\rm blocks}\) (see eq. 21 of Scargle 2013). If gamma is specified, p0 is ignored.

    gamma `python:float`, optional

      If specified, then use this gamma to compute the general prior form, \(p \sim {\tt gamma}^{N_{\rm blocks}}\). If gamma is specified, p0 is ignored.

    ncp_prior `python:float`, optional

      If specified, use the value of `ncp_prior` to compute the prior as above, using the definition \({\tt ncp\_prior} = -\ln({\tt gamma})\). If `ncp_prior` is specified, `gamma` and `p0` are ignored.

  Methods Summary

  `fitness`(T_k, N_k) |
  `validate_input`(t[, x, sigma]) | Validate inputs to the model.

  Methods Documentation

  fitness(T_k, N_k)
  validate_input(t, x=None, sigma=None)

    Validate inputs to the model.

    Parameters:
      t numpy:array_like

        times of observations

      x numpy:array_like, optional

        values observed at each time

      sigma `python:float` or numpy:array_like, optional

        errors in values x

    Returns:
      t, x, sigma numpy:array_like, `python:float`

        validated and perhaps modified versions of inputs